| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Structures | Functions | Variables
LPC1830 and LPC4330 NGX Xplorer board System Init code
LPC1830 and LPC4330 NGX Xplorer board support functions

## Detailed Description

The System initialization code is called prior to the application and initializes the board for run-time operation. Board initialization for the NGX Xplorer boards includes clock setup and default pin muxing configuration.

With the exception of stack space, no RW memory is used for this call.

LPC1830 and LPC4330 NGX Xplorer setup
Clocking:
All base clocks enabled by default (Save power by disabling un-needed clocks)
CPU PLL set to maximum clock frequency (as defined by MAX_CLOCK_FREQ value)
SPIFI FLASH clock setup for fastest speed
CGU Dividers A, C, D and E are used for the LCD, USB, and SPIFI. Pin muxing:
Sets up various pin mux functions for the board (Ethernet, LEDs, etc.)
Memory:
There is no memory setup for this board.

## Data Structures
struct | PINMUX_GRP_T
struct | CLK_BASE_STATES

## Functions
STATIC void | SystemSetupClocking (void)
STATIC void | SystemSetupMuxing (void)
STATIC void | SystemSetupMemory (void)
void | SystemInit (void)
| Setup the system.

## Variables
STATIC struct CLK_BASE_STATES | InitClkStates []
STATIC const PINMUX_GRP_T | spifipinmuxing []
static const CGU_USBAUDIO_PLL_SETUP_T | usbPLLSetup
STATIC const PINMUX_GRP_T | pinmuxing []

## Function Documentation

void SystemInit | ( | void |  | ) |

Setup the system.

Returns
  none SystemInit() is called prior to the application and sets up system clocking, memory, and any resources needed prior to the application starting.

Definition at line 240 of file sysinit_ngx_xplorer_18304330.c.

STATIC void SystemSetupClocking | ( | void |  | ) |

Definition at line 128 of file sysinit_ngx_xplorer_18304330.c.

STATIC void SystemSetupMemory | ( | void |  | ) |

Definition at line 228 of file sysinit_ngx_xplorer_18304330.c.

STATIC void SystemSetupMuxing | ( | void |  | ) |

Definition at line 216 of file sysinit_ngx_xplorer_18304330.c.

## Variable Documentation

STATIC struct CLK_BASE_STATES InitClkStates[]

Definition at line 68 of file sysinit_ngx_xplorer_18304330.c.

STATIC const PINMUX_GRP_T pinmuxing[]

Initial value:
= {
{0x1, 15,
(SCU_MODE_HIGHSPEEDSLEW_EN | SCU_MODE_MODE_PULLUP | SCU_MODE_INBUFF_EN | SCU_MODE_ZIF_DIS | SCU_MODE_FUNC3)},
{0x0, 0,
(SCU_MODE_HIGHSPEEDSLEW_EN | SCU_MODE_MODE_PULLUP | SCU_MODE_INBUFF_EN | SCU_MODE_ZIF_DIS | SCU_MODE_FUNC2)},
{0x1, 16,
(SCU_MODE_HIGHSPEEDSLEW_EN | SCU_MODE_MODE_PULLUP | SCU_MODE_INBUFF_EN | SCU_MODE_ZIF_DIS | SCU_MODE_FUNC7)},
{0x0, 1, (SCU_MODE_HIGHSPEEDSLEW_EN | SCU_MODE_MODE_PULLUP | SCU_MODE_ZIF_DIS | SCU_MODE_FUNC6)},
{0x1, 19,
(SCU_MODE_HIGHSPEEDSLEW_EN | SCU_MODE_MODE_PULLUP | SCU_MODE_INBUFF_EN | SCU_MODE_ZIF_DIS | SCU_MODE_FUNC0)},
{0x1, 18, (SCU_MODE_HIGHSPEEDSLEW_EN | SCU_MODE_MODE_PULLUP | SCU_MODE_ZIF_DIS | SCU_MODE_FUNC3)},
{0x1, 20, (SCU_MODE_HIGHSPEEDSLEW_EN | SCU_MODE_MODE_PULLUP | SCU_MODE_ZIF_DIS | SCU_MODE_FUNC3)},
{0x1, 17,
(SCU_MODE_HIGHSPEEDSLEW_EN | SCU_MODE_MODE_PULLUP | SCU_MODE_INBUFF_EN | SCU_MODE_ZIF_DIS | SCU_MODE_FUNC3)},
{0x2, 0, (SCU_MODE_HIGHSPEEDSLEW_EN | SCU_MODE_MODE_PULLUP | SCU_MODE_ZIF_DIS | SCU_MODE_FUNC7)},
{0x2, 11, (SCU_MODE_MODE_REPEATER | SCU_MODE_FUNC0)},
{0x2, 12, (SCU_MODE_MODE_REPEATER | SCU_MODE_FUNC0)},
{0x3, 0, (SCU_PINIO_FAST | SCU_MODE_FUNC2)},
{0x6, 0, (SCU_PINIO_FAST | SCU_MODE_FUNC4)},
{0x7, 2, (SCU_PINIO_FAST | SCU_MODE_FUNC2)},
{0x6, 2, (SCU_PINIO_FAST | SCU_MODE_FUNC3)},
{0x7, 1, (SCU_PINIO_FAST | SCU_MODE_FUNC2)},
{0x6, 1, (SCU_PINIO_FAST | SCU_MODE_FUNC3)},
}

Definition at line 187 of file sysinit_ngx_xplorer_18304330.c.

STATIC const PINMUX_GRP_T spifipinmuxing[]

Initial value:
= {
{0x3, 3, (SCU_PINIO_FAST | SCU_MODE_FUNC3)},
{0x3, 4, (SCU_PINIO_FAST | SCU_MODE_FUNC3)},
{0x3, 5, (SCU_PINIO_FAST | SCU_MODE_FUNC3)},
{0x3, 6, (SCU_PINIO_FAST | SCU_MODE_FUNC3)},
{0x3, 7, (SCU_PINIO_FAST | SCU_MODE_FUNC3)},
{0x3, 8, (SCU_PINIO_FAST | SCU_MODE_FUNC3)}
}

Definition at line 102 of file sysinit_ngx_xplorer_18304330.c.

const CGU_USBAUDIO_PLL_SETUP_T usbPLLSetup
| static

Initial value:
= {
0x0000601D,
0x06167FFA,
0x00000000,
0x00000000
}

Definition at line 112 of file sysinit_ngx_xplorer_18304330.c.